package seq

import "reflect"

const (
	TypRetParam  = 1
	TypExecParam = 2
)

//Param for execution
type Param struct {
	typ  byte
	nres int
	ires int
	// Or
	param reflect.Value
}

//RetFrom use return from
// n func Number
// i return index
func RetFrom(n, i int) Param {
	return Param{TypRetParam, n, i, reflect.Value{}}
}

//ExecParam
// n Param number
func ExecParam(n int) Param {
	return Param{TypExecParam, n, 0, reflect.Value{}}
}
